<form name="editForm" role="form" novalidate #editForm="ngForm">
    <div class="modal-header">
        <h6 class="modal-title" id="myShipmentOutgoingLabel">Delivery Order</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="cancel()">&times;</button>
    </div>
    <div class="modal-body">
        <h6>List Aksesoris</h6>
        <hr>
        <div class="row">
            <div class="col-md-3">
                <div class="form-group">
                    <p-checkbox name="acc1" [(ngModel)]="pickingSlip.acc1" binary="true"></p-checkbox>
                    <label class="form-control-label" for="field_orderItem">Helm</label>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <p-checkbox name="acc2" [(ngModel)]="pickingSlip.acc2" binary="true"></p-checkbox>
                    <label class="form-control-label" for="field_orderItem">Spion Kanan</label>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <p-checkbox name="acc3" [(ngModel)]="pickingSlip.acc3" binary="true"></p-checkbox>
                    <label class="form-control-label" for="field_orderItem">Spion Kiri</label>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <p-checkbox name="acc4" [(ngModel)]="pickingSlip.acc4" binary="true"></p-checkbox>
                    <label class="form-control-label" for="field_orderItem">Tool Kit</label>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <p-checkbox name="acc5" [(ngModel)]="pickingSlip.acc5" binary="true"></p-checkbox>
                    <label class="form-control-label" for="field_orderItem">Buku Service</label>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <p-checkbox name="acc6" [(ngModel)]="pickingSlip.acc6" binary="true"></p-checkbox>
                    <label class="form-control-label" for="field_orderItem">Accu</label>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <p-checkbox name="acc7" [(ngModel)]="pickingSlip.acc7" binary="true"></p-checkbox>
                    <label class="form-control-label" for="field_orderItem">Buku Pedoman</label>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <p-checkbox name="acc8" [(ngModel)]="pickingSlip.acc8" binary="true"></p-checkbox>
                    <label class="form-control-label" for="field_orderItem">Acc 8</label>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <p-checkbox name="acctambah1" [(ngModel)]="pickingSlip.acctambah1" binary="true"></p-checkbox>
                    <label class="form-control-label" for="field_orderItem">Acc Extra1</label>
                </div>
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <p-checkbox name="acctambah2" [(ngModel)]="pickingSlip.acctambah2" binary="true"></p-checkbox>
                    <label class="form-control-label" for="field_orderItem">Acc Extra2</label>
                </div>
            </div>
        </div>

        <!-- <div class="ui-g-12"><p-checkbox value="Aksesoris 1" label="Aksesoris 1" ></p-checkbox></div>
            <div class="ui-g-12"><p-checkbox value="Aksesoris 2" label="Aksesoris 2" ></p-checkbox></div>
            <div class="ui-g-12"><p-checkbox value="Aksesoris 3" label="Aksesoris 3"></p-checkbox></div>
            <div class="ui-g-12"><p-checkbox value="Aksesoris 4" label="Aksesoris 4" ></p-checkbox></div>
            <div class="ui-g-12"><p-checkbox value="Aksesoris 5" label="Aksesoris 5" ></p-checkbox></div>
            <div class="ui-g-12"><p-checkbox value="Aksesoris 6" label="Aksesoris 6"></p-checkbox></div>
            <div class="ui-g-12"><p-checkbox value="Aksesoris 7" label="Aksesoris 7"></p-checkbox></div> -->
        <br>

        <h6>Material</h6>
        <hr>
        <!-- <div class="ui-g-12">
            <div class="ui-g-6">
                <select class="form-control" id="fiel_sales" name="">
                        
                    </select>
            </div>
            <div class="ui-g-1">Qty</div>
            <div class="ui-g-5"><input type="text" class="form-control"></div>
        </div> -->
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <p-checkbox name="promat1" [(ngModel)]="pickingSlip.promat1" binary="true"></p-checkbox>
                    <label class="form-control-label" for="field_orderItem">Promo Main Dealer</label>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <p-checkbox name="promat2" [(ngModel)]="pickingSlip.promat2" binary="true"></p-checkbox>
                    <label class="form-control-label" for="field_orderItem">Promo Direct Gift</label>
                </div>
            </div>
        </div>
        <br>

        <!-- <h6>Material Promo Direct Gift</h6><hr>
            <div class="ui-g-12"> 
                <select class="form-control" id="fiel_sales" name=""> -->
        <!-- <option [ngValue]="null"></option>
                    <option [ngValue]="shipmentOption.idShipment" *ngFor="let shipmentOption of shipments; trackBy: trackShipmentById">{{shipmentOption.id}}</option> -->
        <!-- </select>
            </div> -->
        <!-- <h6>Instruktur</h6>
        <div class="ui-g-12">
            <p-radioButton name="stat" value="1" [(ngModel)]="stat" (onClick)="status()" label="Internal" for="mechanicInternal"></p-radioButton>
            <select id="mechanicInternal" [(ngModel)]="pickingSlip.mechanicinternal" class="form-control" [disabled]="stat==2" id="fiel_sales" name="mechanicInternal">
                <option [ngValue]="null"></option>
                <option [ngValue]="mechanicInternal.idPartyRole" *ngFor="let mechanicInternal of mechanicInternal; trackBy: trackMechanicById">{{mechanicInternal.person.firstName}}</option>
            </select>
        </div>
        <div class="ui-g-12">
            <p-radioButton name="stat" value="2" [(ngModel)]="stat" (onClick)="status()" label="External" for="mechanicExternal"></p-radioButton>
            <select id="mechanicExternal" [(ngModel)]="pickingSlip.mechanicexternal" [disabled]="stat==1" class="form-control" id="fiel_sales" name="mechanicExternal">
                <option [ngValue]="null"></option>
                <option [ngValue]="mechanicExternal.idPartyRole" *ngFor="let mechanicExternal of mechanicExternal; trackBy: trackMechanicById">{{mechanicExternal.person.firstName}}</option>
            </select>
        </div> -->

    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="cancel()" label="Batal" icon="fa-ban" class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="button" data-dismiss="modal" (click)="save()" label="Update" class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>